Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1528179 - Running fedora-arm-image-installer fails with Error: mount /dev/mmcblk0p4 /tmp/root failed
Summary: Running fedora-arm-image-installer fails with Error: mount /dev/mmcblk0p4 /tm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-arm-installer
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Whalen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-21 08:25 UTC by Jan Pazdziora
Modified: 2019-06-27 15:57 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-15 03:18:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pazdziora 2017-12-21 08:25:23 UTC
Description of problem:

Attempting to install Fedora 27 image on SD card fails.

Version-Release number of selected component (if applicable):

fedora-arm-installer-2.1-1.fc27.noarch

How reproducible:

Deterministic.

Steps to Reproduce:
1. sudo fedora-arm-image-installer --image=/tmp/Fedora-Server-27-1.6.aarch64.raw.xz --target=bananapi_m64 --media=/dev/mmcblk0 --selinux=ON --addconsole --norootpass -y

Actual results:

=====================================================
= Selected Image:                                 
= /tmp/Fedora-Server-27-1.6.aarch64.raw.xz
= Selected Media : /dev/mmcblk0
= U-Boot Target : bananapi_m64
= SELINUX = ON
= Root Password will be removed.
= Console for bananapi_m64 will be added.
=====================================================
 
*****************************************************
*****************************************************
******** WARNING! ALL DATA WILL BE DESTROYED ********
*****************************************************
*****************************************************
= Writing: 
= /tmp/Fedora-Server-27-1.6.aarch64.raw.xz 
= To: /dev/mmcblk0 ....
0+729872 records in
0+729872 records out
7516192768 bytes (7.5 GB, 7.0 GiB) copied, 563.077 s, 13.3 MB/s
= Writing image complete!
Error: mount /dev/mmcblk0p4 /tmp/root failed

Expected results:

No error, SD card usable to boot on Banana Pi M64.

Additional info:

Comment 1 Jan Pazdziora 2017-12-21 08:27:22 UTC
I see just

$ ls -la /dev/mmcblk0*
brw-rw----. 1 root disk 179, 0 Dec 21 09:19 /dev/mmcblk0
brw-rw----. 1 root disk 179, 1 Dec 21 09:19 /dev/mmcblk0p1
brw-rw----. 1 root disk 179, 2 Dec 21 09:19 /dev/mmcblk0p2
brw-rw----. 1 root disk 179, 3 Dec 21 09:19 /dev/mmcblk0p3

no /dev/mmcblk0p4 after the dd has finished.

The code in /usr/bin/fedora-arm-image-installer does

        xzcat $IMAGE | dd of=$MEDIA bs=4M; sync; sleep 3
        echo "= Writing image complete!"
        if [ "$IMAGE" = "Fedora-Server-27-1.6.aarch64.raw.xz" ]; then
                echo "= The AArch64 Server image uses LVM and will require manual U-Boot install and resize."
                exit 0
        else
                # read the new partition table
                partprobe "$MEDIA"
        fi

But if the $IMAGE is a full path, this fails. There probably should be some sort of basename or different way to detect that the image uses LVM.

Comment 2 Rob Crittenden 2018-05-30 02:28:27 UTC
Because the image name is hardcoded this also affects installing an official Fedora 28 image, Fedora-Server-28-1.1.aarch64.raw.xz

Comment 3 Paul Whalen 2018-05-30 12:09:15 UTC
fixed in fedora-arm-installer-2.3 in updates-testing

Comment 4 Chris Smart 2018-06-13 04:32:00 UTC
(In reply to Paul Whalen from comment #3)
> fixed in fedora-arm-installer-2.3 in updates-testing

Thanks Paul, I tried 2.3 on Fedora 28 but it has the same issue. Looks like you added LVM support in 2.4 (with commit bc6c23f)?

Cheers,
-c

Comment 5 Chris Smart 2018-06-13 11:52:28 UTC
(In reply to Chris Smart from comment #4)
> (In reply to Paul Whalen from comment #3)
> > fixed in fedora-arm-installer-2.3 in updates-testing
> 
> Thanks Paul, I tried 2.3 on Fedora 28 but it has the same issue. Looks like
> you added LVM support in 2.4 (with commit bc6c23f)?
> 

Sorry Paul, I was confusing myself.. 2.3 is working. Sorry for the noise!

-c

Comment 6 Jan Pazdziora 2018-08-25 11:07:24 UTC
With arm-image-installer-2.5-1.fc28.noarch and /tmp/Fedora-Server-28-1.1.aarch64.raw.xz, running

# fedora-arm-image-installer --image /tmp/Fedora-Server-28-1.1.aarch64.raw.xz --target=bananapi_m64 --media /dev/mmcblk0 --selinux=ON --addconsole --norootpass

results in


=====================================================
= Selected Image:                                 
= /tmp/Fedora-Server-28-1.1.aarch64.raw.xz
= Selected Media : /dev/mmcblk0
= U-Boot Target : bananapi_m64
= SELINUX = ON
= Root Password will be removed.
= Console for bananapi_m64 will be added.
=====================================================
 
*****************************************************
*****************************************************
******** WARNING! ALL DATA WILL BE DESTROYED ********
*****************************************************
*****************************************************
 
 Type 'YES' to proceed, anything else to exit now 
 
= Proceed? YES
= Writing: 
= /tmp/Fedora-Server-28-1.1.aarch64.raw.xz 
= To: /dev/mmcblk0 ....
0+703831 records in
0+703831 records out
7516192768 bytes (7.5 GB, 7.0 GiB) copied, 563.113 s, 13.3 MB/s
= Writing image complete!
= NOTE: Manual partition resizing is required.
mount: /tmp/root: unknown filesystem type 'LVM2_member'.
Error: mount /dev/mmcblk0p3 /tmp/root failed

Comment 7 Ben Cotton 2018-11-27 14:45:18 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Jan Pazdziora 2018-11-30 17:28:10 UTC
Updating version to Fedora 28 per comment 6.

Comment 9 Ben Cotton 2018-11-30 22:26:45 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Jan Pazdziora 2018-12-03 14:25:43 UTC
Reopening.

Comment 11 Fedora Update System 2018-12-03 23:53:59 UTC
arm-image-installer-2.9-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-88cdeb32b5

Comment 12 Fedora Update System 2018-12-04 05:02:45 UTC
arm-image-installer-2.9-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-88cdeb32b5

Comment 13 Fedora Update System 2018-12-04 14:46:44 UTC
arm-image-installer-2.10-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-88cdeb32b5

Comment 14 Fedora Update System 2018-12-05 03:53:48 UTC
arm-image-installer-2.10-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-88cdeb32b5

Comment 15 Fedora Update System 2018-12-15 03:18:42 UTC
arm-image-installer-2.10-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Leif Hedstrom 2019-06-27 15:24:20 UTC
Running F30 on the "host", I'm trying

$ sudo arm-image-installer --selinux=off --resizefs --norootpass --target=rpi3 --image=Fedora-Server-30-1.2.aarch64.raw.xz  --media=/dev/sdc
...

Syncing disks.
mount: /tmp/root: unknown filesystem type 'LVM2_member'.
Error: mount /dev/sdc3 /tmp/root failed


I imagine the issue here is that it tries to mount the LVM partition, rather than the lv path. However, to complicate things, the root partition on this ARM image is /dev/fedora/root, which is the same as my host path.

Any suggestions how to work around this?

Comment 17 Paul Whalen 2019-06-27 15:51:19 UTC
Suggest writing the image with 'xzcat Fedora-Server-30-1.2.aarch64.raw.xz | sudo dd of=/dev/sdc bs=4M' and resizing the disk with gparted. What version of the arm-image-installer?

Comment 18 Leif Hedstrom 2019-06-27 15:57:10 UTC
Right, I've tried that too (gparted), which mostly sort of works, except I seem to get some sort of corruption :-/ (I have to grow the fs manually, because gparted does not seem capable of growing the XFS filesystem that is on the LVM partition). But, I'm trying it once more right now.

Fwiw, I've tried to follow the instructions on

    https://fedoraproject.org/wiki/Architectures/ARM/Raspberry_Pi#Downloading_the_Fedora_ARM_image


I've tried all the variations, was homing the arm-image-installer version would work (but it does not). 

Version:

tintin (09:55) 257/0 $ rpm -q arm-image-installer
arm-image-installer-2.12-1.fc30.noarch


Note You need to log in before you can comment on or make changes to this bug.